AddRoomNameTable("深渊","The Abyss");
AddRoomNameTable("酒吧","Bar");
AddRoomNameTable("酒吧小房间","Bar Small Room");
AddRoomNameTable("支架","Scaffolding");
AddRoomNameTable("阴暗牢房","Gloomy Cell");
AddRoomNameTable("洞窟","Cave");
AddRoomNameTable("坍塌的洞窟","Collapsed Cave");
AddRoomNameTable("茶羽的家","Chaba's House");
AddRoomNameTable("混沌岔路口","Chaotic Junction");
AddRoomNameTable("岔路口","Junction");
AddRoomNameTable("黑暗迷宫","Dark Labyrinth");
AddRoomNameTable("黑暗通道","Dark Passage");
AddRoomNameTable("要塞","Fortress");
AddRoomNameTable("崩坏的房间","Ruined Room");
AddRoomNameTable("要塞入口","Fortress Entrance");
AddRoomNameTable("逃生出口","Escape Exit");
AddRoomNameTable("电梯","Elevator");
AddRoomNameTable("地下","Underground");
AddRoomNameTable("交易地点","Trading Post");
AddRoomNameTable("黑市酒吧","Black Market Bar");
AddRoomNameTable("隔间","Compartment");
AddRoomNameTable("黑市","Black Market");
AddRoomNameTable("黑市传送室","Black Market Teleport Room");
AddRoomNameTable("地下入口","Underground Entrance");
AddRoomNameTable("高第城","Gaudi City");
AddRoomNameTable("高第山","Gaudi Mountain");
AddRoomNameTable("高第山（塌毁的）","Gaudi Mountain (collapsed)");
AddRoomNameTable("珍卡的家","Jenka's House");
AddRoomNameTable("隐居处","Hermitage");
AddRoomNameTable("渔屋","Fisherman's Hut");
AddRoomNameTable("集会场","Assembly Hall");
AddRoomNameTable("熔岩洞窟","Lava Cave");
AddRoomNameTable("猫屋","Cat House");
AddRoomNameTable("林径小路","Forest Path");
AddRoomNameTable("和平小镇","Peace Town");
AddRoomNameTable("郊外","Outskirts");
AddRoomNameTable("蛋糕店","Cake Shop");
AddRoomNameTable("高第迪厅","Gaudi Hall");
AddRoomNameTable("占卜屋","Fortune Teller's House");
AddRoomNameTable("火之洞窟","Fire Cave");
AddRoomNameTable("闸门","Floodgate");
AddRoomNameTable("萤火虫洞窟","Firefly Cave");
AddRoomNameTable("西边森林","Western Forest");
AddRoomNameTable("森林小屋","Forest Cabin");
AddRoomNameTable("酒店","Hotel");
AddRoomNameTable("咪咪卡面馆","Mimiga's Noodle Shop");
AddRoomNameTable("回收店","Recycling Shop");
AddRoomNameTable("修理店","Repair Shop");
AddRoomNameTable("鱼塘","Fish Pond");
AddRoomNameTable("鱼塘小屋","Pond Cabin");
AddRoomNameTable("电源室","Power Room");
AddRoomNameTable("大鱼","Big Fish");
AddRoomNameTable("桑塔和恰可的家","Santa and Chako's House");
AddRoomNameTable("开阔海域","Open Waters");
AddRoomNameTable("深渊底部","Abyss Bottom");
AddRoomNameTable("双鱼角斗场","Twin Fish Arena");
AddRoomNameTable("水草农场","Seaweed Farm");
AddRoomNameTable("海床","Seabed");
AddRoomNameTable("水域","Waterway");
AddRoomNameTable("海下通路","Underwater Passage");
AddRoomNameTable("怪物城堡走廊","Monster Castle Corridor");
AddRoomNameTable("怪物城堡后门","Monster Castle Back Door");
AddRoomNameTable("复活喷泉","Reviving Fountain");
AddRoomNameTable("巨魔大厅","Golem Hall");
AddRoomNameTable("雕塑走廊","Sculpture Corridor");
AddRoomNameTable("巨魔之塔","Golem Tower");
AddRoomNameTable("塔顶通道","Tower Top Passage");
AddRoomNameTable("牢房","Prison Cell");
AddRoomNameTable("王的卧室","The King's Bedroom");
AddRoomNameTable("扑悠的房间","Puu's Room");
AddRoomNameTable("雕塑大厅","Sculpture Hall");
AddRoomNameTable("库房","Storage Room");
AddRoomNameTable("传送室","Teleportation Room");
AddRoomNameTable("瀑布庭院","Waterfall Courtyard");
AddRoomNameTable("多隆子和数的家","Toroko and Sue's House");
AddRoomNameTable("地下通道","Underground Passage");
AddRoomNameTable("潮湿处","Damp Area");
AddRoomNameTable("地下河流","Underground River");
AddRoomNameTable("地下河流入口","Underground River Entrance");
AddRoomNameTable("咪咪卡村","Mimiga Village");
AddRoomNameTable("池塘","Pond");
AddRoomNameTable("风之洞窟","Wind Cave");
AddRoomNameTable("标题画面","Title Screen");
--[[
AddRoomNameTable("CS_abyss","The Abyss");
AddRoomNameTable("CS_bar","Bar");
AddRoomNameTable("CS_bar_smallroom","Bar Small Room");
AddRoomNameTable("CS_bar2","Bar");
AddRoomNameTable("CS_bracket","Scaffolding");
AddRoomNameTable("CS_cage","Gloomy Cell");
AddRoomNameTable("CS_cave","Cave");
AddRoomNameTable("CS_cave2","Collapsed Cave");
AddRoomNameTable("CS_chaba_house","Chaba's House");
AddRoomNameTable("CS_chaos_crossroads","Chaotic Junction");
AddRoomNameTable("CS_crossroads","Junction");
AddRoomNameTable("CS_crossroads_night","Junction");
AddRoomNameTable("CS_crossroads2","Junction");
AddRoomNameTable("CS_darkmaze","Dark Labyrinth");
AddRoomNameTable("CS_darkpath","Dark Passage");
AddRoomNameTable("CS_fortress","Fortress");
AddRoomNameTable("CS_fortress_crashedroom","Ruined Room");
AddRoomNameTable("CS_fortress_entrance","Fortress Entrance");
AddRoomNameTable("CS_fortress_escape","Escape Exit");
AddRoomNameTable("CS_fortress_lift","Elevator");
AddRoomNameTable("CS_fortress_underground","Underground");
AddRoomNameTable("CS_fortress_underground2","Underground");
AddRoomNameTable("CS_fortress_underground3","Underground");
AddRoomNameTable("CS_gaudi_blackmaket","Trading Post");
AddRoomNameTable("CS_gaudi_blackmaket_bar","Black Market Bar");
AddRoomNameTable("CS_gaudi_blackmaket_mrg","Compartment");
AddRoomNameTable("CS_gaudi_blackmaket_square","Black Market");
AddRoomNameTable("CS_gaudi_blackmaket_teleport","Black Market Teleport Room");
AddRoomNameTable("CS_gaudi_blackmaket_underground_entrance","Underground Entrance");
AddRoomNameTable("CS_gaudi_blackmaket2","Trading Post");
AddRoomNameTable("CS_gaudi_city","Gaudi City");
AddRoomNameTable("CS_gaudi_mountain","Gaudi Mountain");
AddRoomNameTable("CS_gaudi_mountain_cage","Gaudi Mountain");
AddRoomNameTable("CS_gaudi_mountain_collapsed","Gaudi Mountain (collapsed)");
AddRoomNameTable("CS_jenka_house","Jenka's House");
AddRoomNameTable("CS_jenka_house_around","Hermitage");
AddRoomNameTable("CS_kanpa_house","Fisherman's Hut");
AddRoomNameTable("CS_king_house","Assembly Hall");
AddRoomNameTable("CS_lava","Lava Cave");
AddRoomNameTable("CS_monsterX","Cat House");
AddRoomNameTable("CS_path","Forest Path");
AddRoomNameTable("CS_peace_town","Peace Town");
AddRoomNameTable("CS_peace_town_around","Outskirts");
AddRoomNameTable("CS_peace_town_bakery","Cake Shop");
AddRoomNameTable("CS_peace_town_disco","Gaudi Hall");
AddRoomNameTable("CS_peace_town_divination","Fortune Teller's House");
AddRoomNameTable("CS_peace_town_firecave","Fire Cave");
AddRoomNameTable("CS_peace_town_firecave_gate","Floodgate");
AddRoomNameTable("CS_peace_town_firefly","Firefly Cave");
AddRoomNameTable("CS_peace_town_forest","Western Forest");
AddRoomNameTable("CS_peace_town_forest_smallroom","Forest Cabin");
AddRoomNameTable("CS_peace_town_hotel","Hotel");
AddRoomNameTable("CS_peace_town_noodle","Mimiga's Noodle Shop");
AddRoomNameTable("CS_peace_town_recycle","Recycling Shop");
AddRoomNameTable("CS_peace_town_repair","Repair Shop");
AddRoomNameTable("CS_pool","Fish Pond");
AddRoomNameTable("CS_pool_smallroom","Pond Cabin");
AddRoomNameTable("CS_powerroom","Power Room");
AddRoomNameTable("CS_puu_restaurant","Big Fish");
AddRoomNameTable("CS_santa_house","Santa and Chako's House");
AddRoomNameTable("CS_sea","Open Waters");
AddRoomNameTable("CS_sea_entrance","Abyss Bottom");
AddRoomNameTable("CS_sea_fishfight","Twin Fish Arena");
AddRoomNameTable("CS_sea_plant","Seaweed Farm");
AddRoomNameTable("CS_seabed","Seabed");
AddRoomNameTable("CS_seacave","Waterway");
AddRoomNameTable("CS_seapath","Underwater Passage");
AddRoomNameTable("CS_soapcastle","Monster Castle Corridor");
AddRoomNameTable("CS_soapcastle_entrance","Monster Castle Back Door");
AddRoomNameTable("CS_soapcastle_fountain","Reviving Fountain");
AddRoomNameTable("CS_soapcastle_golemhall","Golem Hall");
AddRoomNameTable("CS_soapcastle_golemstatue","Sculpture Corridor");
AddRoomNameTable("CS_soapcastle_golemtower","Golem Tower");
AddRoomNameTable("CS_soapcastle_golemtower_path","Tower Top Passage");
AddRoomNameTable("CS_soapcastle_jail","Prison Cell");
AddRoomNameTable("CS_soapcastle_kingbedroom","The King's Bedroom");
AddRoomNameTable("CS_soapcastle_puuroom","Puu's Room");
AddRoomNameTable("CS_soapcastle_stair","Sculpture Hall");
AddRoomNameTable("CS_soapcastle_storeroom","Storage Room");
AddRoomNameTable("CS_soapcastle_talaroom","Teleportation Room");
AddRoomNameTable("CS_soapcastle_waterfall","Waterfall Courtyard");
AddRoomNameTable("CS_toroko_house","Toroko and Sue's House");
AddRoomNameTable("CS_toroko_house_night","Toroko and Sue's House");
AddRoomNameTable("CS_underpath","Underground Passage");
AddRoomNameTable("CS_underpath_damp","Damp Area");
AddRoomNameTable("CS_underpath_river","Underground River");
AddRoomNameTable("CS_underpath_river_entrance","Underground River Entrance");
AddRoomNameTable("CS_village","Mimiga Village");
AddRoomNameTable("CS_village_around","Pond");
AddRoomNameTable("CS_village_night","Mimiga Village");
AddRoomNameTable("CS_windycave","Wind Cave");
AddRoomNameTable("sys_CS_title","Title Screen");
--]]